Distribution:   CCux
Packager:       Stefan Gottwald <gotti@ccux-linux.de>

Summary:	thunar-archive-plugin add archive handling ro the Thunar file context menus
Name:		thunar-archive-plugin
Version:	0.2.4
Release:	2
License:	GNU/GPL
URL:		http://foo-projects.org/~benny/projects/thunar-archive-plugin/index.html
Source0:	%{name}-%{version}.tar.bz2
Group:		Graphical Desktop/Xfce/Extras
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:  Thunar gtk2+-devel atk-devel pango-devel glib-devel
Requires:	xarchiver desktop-file-utils

%description
The Thunar Archive Plugin allows you to create and extract archive files 
using the file context menus in the Thunar file manager. 

%post
update-desktop-database

%postun
update-desktop-database

%prep
%setup -q -n %{name}-%{version}

%build
%configure --sysconfdir=%_sysconfdir/xfce --libexecdir=%_libexecdir
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';'

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_datadir/locale/*/LC_MESSAGES/thunar-archive-plugin.mo
%_libdir/thunarx-1/thunar-archive-plugin.la
%_libdir/thunarx-1/thunar-archive-plugin.so
%_libexecdir/thunar-archive-plugin/ark.tap
%_libexecdir/thunar-archive-plugin/file-roller.tap
%_datadir/icons/hicolor/*/apps/tap-*.png

%changelog
* Sun Dec 30 2007 Stefan Gottwald <gotti@ccux-linux.de> 0.2.4-2
- Rebuild against XFCE 4.4.2 (Thunar 0.9.0)
* Sun Oct 21 2007 Stefan Gottwald <gotti@ccux-linux.de> 0.2.4-1
- Initial Release
